public class RolesApi extends Object
| Constructor and Description |
|---|
RolesApi() |
RolesApi(ApiClient apiClient) |
| Modifier and Type | Method and Description |
|---|---|
void |
addMemberToRole(String account,
String kind,
String identifier,
String members,
String member)
Update or modify an existing role membership
Updates or modifies an existing role membership.
|
void |
addMemberToRole(String account,
String kind,
String identifier,
String members,
String member,
String xRequestId)
Update or modify an existing role membership
Updates or modifies an existing role membership.
|
okhttp3.Call |
addMemberToRoleAsync(String account,
String kind,
String identifier,
String members,
String member,
String xRequestId,
ApiCallback<Void> _callback)
Update or modify an existing role membership (asynchronously)
Updates or modifies an existing role membership.
|
okhttp3.Call |
addMemberToRoleCall(String account,
String kind,
String identifier,
String members,
String member,
String xRequestId,
ApiCallback _callback)
Build call for addMemberToRole
|
ApiResponse<Void> |
addMemberToRoleWithHttpInfo(String account,
String kind,
String identifier,
String members,
String member)
Update or modify an existing role membership
Updates or modifies an existing role membership.
|
ApiResponse<Void> |
addMemberToRoleWithHttpInfo(String account,
String kind,
String identifier,
String members,
String member,
String xRequestId)
Update or modify an existing role membership
Updates or modifies an existing role membership.
|
ApiClient |
getApiClient() |
void |
removeMemberFromRole(String account,
String kind,
String identifier,
String members,
String member)
Deletes an existing role membership
Deletes an existing role membership.
|
void |
removeMemberFromRole(String account,
String kind,
String identifier,
String members,
String member,
String xRequestId)
Deletes an existing role membership
Deletes an existing role membership.
|
okhttp3.Call |
removeMemberFromRoleAsync(String account,
String kind,
String identifier,
String members,
String member,
String xRequestId,
ApiCallback<Void> _callback)
Deletes an existing role membership (asynchronously)
Deletes an existing role membership.
|
okhttp3.Call |
removeMemberFromRoleCall(String account,
String kind,
String identifier,
String members,
String member,
String xRequestId,
ApiCallback _callback)
Build call for removeMemberFromRole
|
ApiResponse<Void> |
removeMemberFromRoleWithHttpInfo(String account,
String kind,
String identifier,
String members,
String member)
Deletes an existing role membership
Deletes an existing role membership.
|
ApiResponse<Void> |
removeMemberFromRoleWithHttpInfo(String account,
String kind,
String identifier,
String members,
String member,
String xRequestId)
Deletes an existing role membership
Deletes an existing role membership.
|
void |
setApiClient(ApiClient apiClient) |
Object |
showRole(String account,
String kind,
String identifier)
Get role information
Gets detailed information about a specific role, including the role members.
|
Object |
showRole(String account,
String kind,
String identifier,
String all,
String memberships,
String members,
Integer offset,
Integer limit,
Boolean count,
String search,
String graph,
String xRequestId)
Get role information
Gets detailed information about a specific role, including the role members.
|
okhttp3.Call |
showRoleAsync(String account,
String kind,
String identifier,
String all,
String memberships,
String members,
Integer offset,
Integer limit,
Boolean count,
String search,
String graph,
String xRequestId,
ApiCallback<Object> _callback)
Get role information (asynchronously)
Gets detailed information about a specific role, including the role members.
|
okhttp3.Call |
showRoleCall(String account,
String kind,
String identifier,
String all,
String memberships,
String members,
Integer offset,
Integer limit,
Boolean count,
String search,
String graph,
String xRequestId,
ApiCallback _callback)
Build call for showRole
|
ApiResponse<Object> |
showRoleWithHttpInfo(String account,
String kind,
String identifier)
Get role information
Gets detailed information about a specific role, including the role members.
|
ApiResponse<Object> |
showRoleWithHttpInfo(String account,
String kind,
String identifier,
String all,
String memberships,
String members,
Integer offset,
Integer limit,
Boolean count,
String search,
String graph,
String xRequestId)
Get role information
Gets detailed information about a specific role, including the role members.
|
public RolesApi()
public RolesApi(ApiClient apiClient)
public ApiClient getApiClient()
public void setApiClient(ApiClient apiClient)
public okhttp3.Call addMemberToRoleCall(String account, String kind, String identifier, String members, String member, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the role for which to get the information about (required)members - Returns a list of the Role's members. (required)member - The identifier of the Role to be added as a member. (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 204 | Member was added to role successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public void addMemberToRole(String account, String kind, String identifier, String members, String member, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the role for which to get the information about (required)members - Returns a list of the Role's members. (required)member - The identifier of the Role to be added as a member. (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | Member was added to role successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public void addMemberToRole(String account, String kind, String identifier, String members, String member) throws ApiException
account - Organization account namekind - Type of resourceidentifier - ID of the role for which to get the information aboutmembers - Returns a list of the Role's members.member - The identifier of the Role to be added as a member.ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | Member was added to role successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<Void> addMemberToRoleWithHttpInfo(String account, String kind, String identifier, String members, String member, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the role for which to get the information about (required)members - Returns a list of the Role's members. (required)member - The identifier of the Role to be added as a member. (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | Member was added to role successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<Void> addMemberToRoleWithHttpInfo(String account, String kind, String identifier, String members, String member) throws ApiException
account - Organization account namekind - Type of resourceidentifier - ID of the role for which to get the information aboutmembers - Returns a list of the Role's members.member - The identifier of the Role to be added as a member.ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | Member was added to role successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call addMemberToRoleAsync(String account, String kind, String identifier, String members, String member, String xRequestId, ApiCallback<Void> _callback) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the role for which to get the information about (required)members - Returns a list of the Role's members. (required)member - The identifier of the Role to be added as a member. (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 204 | Member was added to role successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call removeMemberFromRoleCall(String account, String kind, String identifier, String members, String member, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the role for which to get the information about (required)members - Returns a list of the Role's members. (required)member - The identifier of the Role to be added as a member. (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 204 | Member was deleted from role successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public void removeMemberFromRole(String account, String kind, String identifier, String members, String member, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the role for which to get the information about (required)members - Returns a list of the Role's members. (required)member - The identifier of the Role to be added as a member. (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | Member was deleted from role successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public void removeMemberFromRole(String account, String kind, String identifier, String members, String member) throws ApiException
account - Organization account namekind - Type of resourceidentifier - ID of the role for which to get the information aboutmembers - Returns a list of the Role's members.member - The identifier of the Role to be added as a member.ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | Member was deleted from role successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<Void> removeMemberFromRoleWithHttpInfo(String account, String kind, String identifier, String members, String member, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the role for which to get the information about (required)members - Returns a list of the Role's members. (required)member - The identifier of the Role to be added as a member. (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | Member was deleted from role successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<Void> removeMemberFromRoleWithHttpInfo(String account, String kind, String identifier, String members, String member) throws ApiException
account - Organization account namekind - Type of resourceidentifier - ID of the role for which to get the information aboutmembers - Returns a list of the Role's members.member - The identifier of the Role to be added as a member.ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | Member was deleted from role successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call removeMemberFromRoleAsync(String account, String kind, String identifier, String members, String member, String xRequestId, ApiCallback<Void> _callback) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the role for which to get the information about (required)members - Returns a list of the Role's members. (required)member - The identifier of the Role to be added as a member. (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 204 | Member was deleted from role successfully | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call showRoleCall(String account, String kind, String identifier, String all, String memberships, String members, Integer offset, Integer limit, Boolean count, String search, String graph, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the role for which to get the information about (required)all - Returns an array of Role IDs representing all role memberships, expanded recursively. (optional)memberships - Returns all direct role memberships (members not expanded recursively). (optional)members - Returns a list of the Role's members. (optional)offset - When listing members, start at this item number. (optional)limit - When listing members, return up to this many results. (optional)count - When listing members, if `true`, return only the count of members. (optional)search - When listing members, the results will be narrowed to only those matching the provided string (optional)graph - If included in the query returns a graph view of the role (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response body contains the requested role(s)/member(s) | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public Object showRole(String account, String kind, String identifier, String all, String memberships, String members, Integer offset, Integer limit, Boolean count, String search, String graph, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the role for which to get the information about (required)all - Returns an array of Role IDs representing all role memberships, expanded recursively. (optional)memberships - Returns all direct role memberships (members not expanded recursively). (optional)members - Returns a list of the Role's members. (optional)offset - When listing members, start at this item number. (optional)limit - When listing members, return up to this many results. (optional)count - When listing members, if `true`, return only the count of members. (optional)search - When listing members, the results will be narrowed to only those matching the provided string (optional)graph - If included in the query returns a graph view of the role (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains the requested role(s)/member(s) | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public Object showRole(String account, String kind, String identifier) throws ApiException
account - Organization account namekind - Type of resourceidentifier - ID of the role for which to get the information aboutApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains the requested role(s)/member(s) | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<Object> showRoleWithHttpInfo(String account, String kind, String identifier, String all, String memberships, String members, Integer offset, Integer limit, Boolean count, String search, String graph, String xRequestId) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the role for which to get the information about (required)all - Returns an array of Role IDs representing all role memberships, expanded recursively. (optional)memberships - Returns all direct role memberships (members not expanded recursively). (optional)members - Returns a list of the Role's members. (optional)offset - When listing members, start at this item number. (optional)limit - When listing members, return up to this many results. (optional)count - When listing members, if `true`, return only the count of members. (optional)search - When listing members, the results will be narrowed to only those matching the provided string (optional)graph - If included in the query returns a graph view of the role (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains the requested role(s)/member(s) | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<Object> showRoleWithHttpInfo(String account, String kind, String identifier) throws ApiException
account - Organization account namekind - Type of resourceidentifier - ID of the role for which to get the information aboutApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body contains the requested role(s)/member(s) | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call showRoleAsync(String account, String kind, String identifier, String all, String memberships, String members, Integer offset, Integer limit, Boolean count, String search, String graph, String xRequestId, ApiCallback<Object> _callback) throws ApiException
account - Organization account name (required)kind - Type of resource (required)identifier - ID of the role for which to get the information about (required)all - Returns an array of Role IDs representing all role memberships, expanded recursively. (optional)memberships - Returns all direct role memberships (members not expanded recursively). (optional)members - Returns a list of the Role's members. (optional)offset - When listing members, start at this item number. (optional)limit - When listing members, return up to this many results. (optional)count - When listing members, if `true`, return only the count of members. (optional)search - When listing members, the results will be narrowed to only those matching the provided string (optional)graph - If included in the query returns a graph view of the role (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response body contains the requested role(s)/member(s) | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
Copyright © 2023. All rights reserved.